> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pingmee.co.il/llms.txt
> Use this file to discover all available pages before exploring further.

# Get WhatsApp Templates

> Get WhatsApp templates for a specific phone number



## OpenAPI

````yaml GET /templates
openapi: 3.1.0
info:
  title: Pingmee API
  description: A complete guide to Pingmee micro service architecture.
  version: 1.0.0
servers:
  - url: https://api.pingmee.co.il
security:
  - cookieAuth: []
    ApiKeyAuth: []
paths:
  /templates:
    get:
      description: Get WhatsApp templates for a specific phone number
      parameters:
        - name: type
          in: query
          required: true
          schema:
            type: string
            enum:
              - whatsapp
          description: Template platform type
        - name: phoneNumberId
          in: query
          required: true
          schema:
            type: string
          description: Phone number ID to fetch templates for
      responses:
        '200':
          description: List of templates
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: Template ID
                    name:
                      type: string
                      description: Template name
                  required:
                    - id
                    - name
                  additionalProperties: false
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: string
        message:
          type: string
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: header
      name: Cookie
      description: Personal access token from Pingmee Settings → Developer Tools
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Business API key from Pingmee Settings → Developer Tools

````